<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [hackAnalyzeSecurity](./bitburner.ns.hackanalyzesecurity.md)

## NS.hackAnalyzeSecurity() method

Get the security increase for a number of threads.

**Signature:**

```typescript
hackAnalyzeSecurity(threads: number, host?: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  threads | number | Amount of threads that will be used. |
|  host | string | _(Optional)_ Hostname/IP of the target server. The number of threads is limited to the number needed to hack the server's maximum amount of money. |

**Returns:**

number

The security increase.

## Remarks

RAM cost: 1 GB

Returns the security increase that would occur if a hack with this many threads happened.

